/*
 * block_info.h
 *
 * Description of this file:
 *    Block Infomation functions definition of the xRD library
 *
 * --------------------------------------------------------------------------
 *
 *    xRD - video encoder of AVS2/IEEE1857.4 video coding standard
 *    Copyright (C) 2018~ VCL, NELVT, Peking University
 *
 *    Authors: Falei LUO <falei.luo@gmail.com>
 *             etc.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111, USA.
 *
 *    This program is also available under a commercial proprietary license.
 *    For more information, contact us at sswang @ pku.edu.cn.
 */

#ifndef __XRD_BLOCK_INFO_H__
#define __XRD_BLOCK_INFO_H__

int  get_neighbor_cbp_y(const xrd_t *h, const cu_info_t *p_cur, int slice_idx_cur_cu, int x_4x4, int y_4x4);
void set_available_tables(xrd_t *h);
void check_neighbor_cu_avail(xrd_t *h, cu_t *p_cu, int scu_x, int scu_y, int scu_xy);

#endif  // __XRD_BLOCK_INFO_H__
