/**
 * ===========================================================================
 * configw.h
 * - header file for MS/Intel compiler on windows platform
 * ---------------------------------------------------------------------------
 *
 * XRDEnc, the Chinese AVS video encoder library.
 *
 * ===========================================================================
 */

#ifndef __XRDEnc_CONFIGW_H__
#define __XRDEnc_CONFIGW_H__

#if defined(__ICL) || defined(_MSC_VER)

/* arch */
#define ARCH_X86                1
#define ARCH_PPC                0
#define ARCH_UltraSPARC         0

/* system */
#define SYS_WINDOWS             1
#define SYS_LINUX               0
#define SYS_MACOSX              0
#define SYS_BEOS                0
#define SYS_FREEBSD             0
#define SYS_OPENBSD             0

/* thread */
#define HAVE_THREAD             1
#define HAVE_WIN32THREAD        0
#define HAVE_PTHREAD            0
#define HAVE_BEOSTHREAD         0
#define HAVE_POSIXTHREAD        1
#define PTW32_STATIC_LIB        1

/* interlace support */
#define HAVE_INTERLACED         1

/* malloc */
#define HAVE_MALLOC_H           0

/* big-endian */
#define WORDS_BIGENDIAN         0

/* others */
#define HAVE_STDINT_H           1
#define HAVE_VECTOREXT          0
#define HAVE_LOG2F              0
#define HAVE_SWSCALE            0
#define HAVE_LAVF               0
#define HAVE_FFMS               0
#define HAVE_GPAC               0
#define HAVE_GF_MALLOC          0
#define HAVE_AVS                0

#endif
#endif // __XRDEnc_CONFIGW_H__
